Bug 392738 - Trash icon: "Empty trash" option from context menu is enabled even when trash is empty
Summary: Trash icon: "Empty trash" option from context menu is enabled even when trash...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Folder (show other bugs)
Version: 5.12.4
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-04 19:52 UTC by Patrick Silva
Modified: 2018-04-05 12:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-04-04 19:52:36 UTC
Summary says by itself.
The same option is disabled in context menu from "Trash" in Dolphin sidebar
when trash is empty.
Comment 1 Kai Uwe Broulik 2018-04-05 12:17:06 UTC
Git commit 7e98c5d737eb953c8a2692b7eeae1b4cb0f32e5f by Kai Uwe Broulik.
Committed on 05/04/2018 at 12:03.
Pushed by broulik into branch 'Plasma/5.12'.

[Folder View] Update "Empty Trash" enabled state for files inside Trash and links to Trash

Previously this was only done for files inside Trash. Now also the context menu of a Trash link has correct state.
FIXED-IN: 5.12.5

Differential Revision: https://phabricator.kde.org/D11944

M  +8    -2    containments/desktop/plugins/folder/foldermodel.cpp
M  +1    -0    containments/desktop/plugins/folder/foldermodel.h

https://commits.kde.org/plasma-desktop/7e98c5d737eb953c8a2692b7eeae1b4cb0f32e5f